Уязвимость BDU:2020-00623

Дата: 29.11.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-00623.

Наименование уязвимости: Уязвимость модуля аутентификации NTLM RDP-клиента FreeRDP, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость модуля аутентификации NTLM RDP-клиента FreeRDP вызвана чтением за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 42.3 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.10 | Операционная система Novell Inc. Suse Linux Enterprise Desktop 12 SP3 | Операционная система Novell Inc. Suse Linux Enterprise Desktop 12 SP4 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Software Development Kit 12 SP3 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Software Development Kit 12 SP4 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Workstation Extension 12 SP3 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Workstation Extension 12 SP4 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Workstation Extension 15 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Workstation Extension 15 SP1 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Software Development Kit 12 SP5 | Прикладное ПО информационных систем Free software foundation FreeRDP до 2.0.0-rc4 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Workstation Extension 12 SP5 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Ubuntu 1604 LTS | OpenSUSE Leap 423 | Ubuntu 1804 LTS | Ubuntu 1810 | OpenSUSE Leap 150 |
Дата выявления: 29.11.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для FreeRDP:
https://github.com/FreeRDP/FreeRDP/commit/2ee663f39dc8dac3d9988e847db19b2d7e3ac8c6

Для Ubuntu:
https://usn.ubuntu.com/3845-1/
https://usn.ubuntu.com/3845-2/

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2018-8789/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-8789.

Тип ошибки CWE: CWE-125, CWE-126
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.securityfocus.com/bid/106938
https://github.com/FreeRDP/FreeRDP/commit/2ee663f39dc8dac3d9988e847db19b2d7e3ac8c6
https://usn.ubuntu.com/3845-1/
https://usn.ubuntu.com/3845-2/
https://www.suse.com/security/cve/CVE-2018-8789/
https://nvd.nist.gov/vuln/detail/CVE-2018-8789

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *